Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class ProductItemImpl

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.CatalogItemImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.ProductItemImpl

public class ProductItemImpl
extends CatalogItemImpl
implements ProductItem

This is the implementation class for all product items contained by the Catalog. This class exposes data accessors for product item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details: Dublin Core Element Set

See Also:
  Serialized Form

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemImpl
`delegateItem`

Method Summary
`InventoryInfo` | `getAvailability()` Gets the availibility for a product item
`Money` | `getCurrentPrice()` Gets the current price for a product item
`java.lang.String` | `getFormat()` Gets the format for a product item
`JspInfo` | `getJsp(int index)` Gets the JSP for a product item
`Money` | `getMsrp()` Gets the MSRP for a product item
`java.lang.String` | `getShippingCode()` Gets the shipping code for a product item
`java.lang.String` | `getTaxCode()` Gets the tax code for a product item
`java.lang.String` | `getType()` Gets the type for a product item
`char` | `getVisible()` Gets the visilbity code for a product item
`java.lang.String` | `toString()` Builds a string representation of this object.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemImpl
`addBusinessPolicy, addPropertyValue, addPropertyValueMapped, getBusinessPolicy, getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getJndiName, getKey, getLanguage, getModifiedDate, getName, getPkString, getProperty, getProperty, getProperty, getPropertyAsString, getPropertyAsString, getPropertyDefault, getPropertyNoDefault, getPropertyNoDefault, getPublisher, getRelation, getRights, getSource, getSuccessor, getUniqueId, removeBusinessPolicy, removeProperty, removeProperty, removePropertyValue, removePropertyValueMapped, removeSuccessor, setProperty, setProperty, setSuccessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getJsp

    public JspInfo getJsp(int index)

  Gets the JSP for a product item
  Specified by:
    getJsp in interface ProductItem

  Parameters:
    `index` - the JSP to retrieve, should be either SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX
  Returns:
    the JspInfo object for the JSP

### getFormat

    public java.lang.String getFormat()

  Gets the format for a product item
  Specified by:
    getFormat in interface ProductItem

  Returns:
    the format for the product item

### getType

    public java.lang.String getType()

  Gets the type for a product item
  Specified by:
    getType in interface ProductItem

  Returns:
    the type for the product item

### getTaxCode

    public java.lang.String getTaxCode()

  Gets the tax code for a product item
  Specified by:
    getTaxCode in interface ProductItem

  Returns:
    the tax code for the product item

### getShippingCode

    public java.lang.String getShippingCode()

  Gets the shipping code for a product item
  Specified by:
    getShippingCode in interface ProductItem

  Returns:
    the shipping code for the product item

### getMsrp

    public Money getMsrp()

  Gets the MSRP for a product item
  Specified by:
    getMsrp in interface ProductItem

  Returns:
    the Msrp for the product item

### getCurrentPrice

    public Money getCurrentPrice()

  Gets the current price for a product item
  Specified by:
    getCurrentPrice in interface ProductItem

  Returns:
    the current price for the product item

### getAvailability

    public InventoryInfo getAvailability()

  Gets the availibility for a product item
  Specified by:
    getAvailability in interface ProductItem

  Returns:
    the current availability for the product item

### getVisible

    public char getVisible()

  Gets the visilbity code for a product item
  Specified by:
    getVisible in interface ProductItem

  Returns:
    the visiblity code for the product item

### toString

    public java.lang.String toString()

  Builds a string representation of this object.

  Returns:
    the string
  Overrides:
    toString in class CatalogItemImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved